/*
 Theme Name: GeneratePress Child
 Theme URI: https://varialys.fr/
 Description: Thème enfant pour GeneratePress
 Author: Tristan
 Author URI: https://varialys.fr/
 Template: generatepress
 Version: 1.0.0
*/

/* En-tête personnalisé */
.custom-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    background-color: #ffffff;
    border-bottom: 1px solid #ddd;
    top: 0;
    z-index: 1000;
}

.header-container {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    max-width: 1280px;
    margin: auto;
}

/* Logo centré */
.logo img {
    max-height: 50px;
}

/* Bouton sombre/clair */
.theme-toggle {
    background: none;
    border: none;
    font-size: 20px;
    color: #4fc3f7;
    cursor: pointer;
    transition: transform 0.2s ease;
}

.theme-toggle:hover {
    transform: scale(1.1);
}

/* Menu hamburger */
.menu-toggle {
    display: block;
    cursor: pointer;
}

/* Menu mobile */
.mobile-menu {
    display: none;
    position: absolute;
    top: 100%;
    right: 0;
    background-color: #ffffff;
    border: 1px solid #ddd;
    width: 200px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    padding: 10px;
}

.mobile-menu .menu-items {
    list-style: none;
    margin: 0;
    padding: 0;
}

.mobile-menu .menu-items li {
    margin: 10px 0;
}

.mobile-menu .menu-items a {
    text-decoration: none;
    color: #000;
}

/* page full width */

.full-width-content .site-content {
    display: block;
}

.full-width-content .site-content .content-area {
    width: 100%;
    max-width: 1280px;
    margin: auto;
}

.full-width-content .inside-article {
    padding: 40px!important;
}

/* Affichage mobile */
@media (max-width: 768px) {
}

/* ----  Menu ---- */

.menu-hamb {
    position: fixed;
    transform: translateY(-100%);
    transition: all 1.4s ease;
    display: flex;
    width: 100vw;
    height: 100vh;
    background: #333333;
    z-index: 5;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.menu-hamb.active {
    transform: translateY(0%);
}

.menu-hamb li {
    display: block;
    width: 100%;
    text-align: center;
}

.menu-hamb li a {
    display: block;
    color: #c2c2c2;
    text-transform: uppercase;
    text-shadow: 5px 5px 10px #2c2c2c, -5px -5px 10px #343434;
    font-weight: 600;
    font-size: 2.6em;
    text-decoration: none;
    padding: 10px;
}

.btn-menu {
    content: url('https://varialys.fr/wp-content/uploads/2024/11/menu-line-black.svg');
    display: block;
    width: 50px;
    padding: 12px;
    border-radius: 100%;
    transition: all 1s ease;
    cursor: pointer;
    opacity: 1;
    z-index: 5;
}

.btn-mode:hover, .btn-menu:hover {
    background: rgb(59, 59, 59);
    box-shadow:  inset 1px 1px 1px 1px #2c2c2c,
                inset -1px -1px 1px 0px #343434;

}